// Utilisation des flots d'entree-sortie C++
#include <iostream>
// Utilisation de la classe LocalMap<T>
#include "sopnamsp.h"
#include "ntoolsinit.h"
#include "spheregorski.h"
#include "ntuple.h"

// Utilisation des generateurs aleatoires
#include "srandgen.h"
#include "fitsioserver.h" 
#include "skymapinit.h"

int main()
{

  // ----- ATTENTION -------
  // Initialisation de Sophya
  // A faire au debut de main()
  SophyaInit();

  int m=4;
  SphereGorski<float> sph(m);
  cout << " nombre de pixels: " << sph.NbPixels() << endl;
  FitsIoServer fserv;
  fserv.load(sph, "map_essai.fits",2);
  //sph.print(cout);
   fserv.Mollweide_picture_projection(sph, "dessin.fits");
}
